set File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | _GLIBCXX_EXPERIMENTAL_SET

## Typedefs

template<typename _Key, typename _Compare = less<_Key>>
using | std::experimental::fundamentals_v2::pmr::multiset
template<typename _Key, typename _Compare = less<_Key>>
using | std::experimental::fundamentals_v2::pmr::set

## Functions

template<typename _Key, typename _Compare, typename _Alloc, typename _Predicate>
void | std::experimental::erase_if (multiset< _Key, _Compare, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Compare, typename _Alloc, typename _Predicate>
void | std::experimental::erase_if (set< _Key, _Compare, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/set.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_SET

#define _GLIBCXX_EXPERIMENTAL_SET

Definition at line 31 of file experimental/set.

## Typedef Documentation

## multiset

template<typename _Key, typename _Compare = less<_Key>>

using std::experimental::fundamentals_v2::pmr::multiset

Definition at line 74 of file experimental/set.

## set

template<typename _Key, typename _Compare = less<_Key>>

using std::experimental::fundamentals_v2::pmr::set

Definition at line 71 of file experimental/set.